Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1823)
+++ palm/trunk/SOURCE/Makefile	(revision 1826)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-#
+# Renamed radiation_model to radiation_model_mod.
+# Renamed plant_canopy_model to plant_canopy_model_mod.
 # 
 # Former revisions:
@@ -278,10 +279,10 @@
 	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
 	mod_particle_attributes.f90 netcdf_interface.f90 nudging.f90 \
-	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 pmc_interface.f90 \
+	package_parin.f90 palm.f90 parin.f90 plant_canopy_model_mod.f90 pmc_interface.f90 \
 	pmc_client.f90 pmc_general.f90 pmc_handle_communicator.f90 pmc_mpi_wrapper.f90 \
 	pmc_server.f90 \
 	poisfft.f90 poismg.f90 \
 	poismg_fast.f90 pres.f90 print_1d.f90 production_e.f90 \
-	prognostic_equations.f90 progress_bar.f90 radiation_model.f90 \
+	prognostic_equations.f90 progress_bar.f90 radiation_model_mod.f90 \
 	random_function.f90 random_gauss.f90 random_generator_parallel.f90 \
 	read_3d_binary.f90 read_var_list.f90 run_control.f90 \
@@ -347,5 +348,5 @@
 advec_w_up.o: modules.o mod_kinds.o
 average_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-                   radiation_model.o
+                   radiation_model_mod.o
 boundary_conds.o: modules.o mod_kinds.o
 buoyancy.o: modules.o mod_kinds.o
@@ -356,5 +357,5 @@
 check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface.o
 check_parameters.o: modules.o mod_kinds.o land_surface_model_mod.o \
-	netcdf_interface.o plant_canopy_model.o pmc_interface.o radiation_model.o \
+	netcdf_interface.o plant_canopy_model_mod.o pmc_interface.o radiation_model_mod.o \
 	subsidence.o
 close_file.o: modules.o mod_kinds.o netcdf_interface.o
@@ -375,5 +376,5 @@
 data_output_tseries.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
 data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-   netcdf_interface.o land_surface_model_mod.o radiation_model.o
+   netcdf_interface.o land_surface_model_mod.o radiation_model_mod.o
 data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
    netcdf_interface.o land_surface_model_mod.o
@@ -392,14 +393,14 @@
 fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
 flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-   netcdf_interface.o radiation_model.o
+   netcdf_interface.o radiation_model_mod.o
 global_min_max.o: modules.o mod_kinds.o
 header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model_mod.o\
-   plant_canopy_model.o pmc_handle_communicator.o pmc_interface.o \
-   radiation_model.o spectrum.o subsidence.o 
+plant_canopy_model_mod.o pmc_handle_communicator.o pmc_interface.o \
+   radiation_model_mod.o spectrum.o subsidence.o
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
 init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model_mod.o \
-   lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model.o \
-   radiation_model.o random_function.o random_generator_parallel.o \
+   lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model_mod.o \
+   radiation_model_mod.o random_function.o random_generator_parallel.o \
 	surface_layer_fluxes.o
 init_advec.o: modules.o mod_kinds.o
@@ -415,5 +416,5 @@
 init_slope.o: modules.o mod_kinds.o
 interaction_droplets_ptq.o: modules.o mod_kinds.o
-land_surface_model_mod.o: modules.o mod_kinds.o radiation_model.o
+land_surface_model_mod.o: modules.o mod_kinds.o radiation_model_mod.o
 local_stop.o: modules.o mod_kinds.o pmc_interface.o
 local_tremain.o: modules.o cpulog.o mod_kinds.o
@@ -454,11 +455,10 @@
    land_surface_model_mod.o spectrum.o
 nudging.o: modules.o cpulog.o mod_kinds.o
-package_parin.o: modules.o mod_kinds.o \
-   plant_canopy_model.o radiation_model.o spectrum.o
+package_parin.o: modules.o mod_kinds.o spectrum.o
 palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o\
 	pmc_interface.o surface_layer_fluxes.o
 parin.o: modules.o cpulog.o land_surface_model_mod.o mod_kinds.o netcdf_interface.o \
-   pmc_interface.o progress_bar.o
-plant_canopy_model.o: modules.o mod_kinds.o
+   plant_canopy_model_mod.o pmc_interface.o progress_bar.o radiation_model_mod.o 
+plant_canopy_model_mod.o: modules.o mod_kinds.o
 pmc_interface.o: modules.o mod_kinds.o pmc_client.o pmc_general.o\
 	pmc_handle_communicator.o pmc_mpi_wrapper.o pmc_server.o
@@ -480,15 +480,15 @@
 	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
 	eqn_state_seawater.o mod_kinds.o microphysics.o \
-	nudging.o plant_canopy_model.o production_e.o radiation_model.o \
+	nudging.o plant_canopy_model_mod.o production_e.o radiation_model_mod.o \
 	subsidence.o user_actions.o
 progress_bar.o: modules.o mod_kinds.o
-radiation_model.o : modules.o mod_particle_attributes.o
+radiation_model_mod.o : modules.o mod_particle_attributes.o
 random_function.o: mod_kinds.o
 random_gauss.o: mod_kinds.o random_function.o random_generator_parallel.o
 random_generator_parallel.o: mod_kinds.o
 read_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-                  radiation_model.o random_function.o\
+                  radiation_model_mod.o random_function.o\
                   random_generator_parallel.o
-read_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o
+read_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model_mod.o
 run_control.o: modules.o cpulog.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
@@ -498,5 +498,5 @@
 subsidence.o: modules.o mod_kinds.o
 sum_up_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-                  radiation_model.o 
+                  radiation_model_mod.o 
 surface_coupler.o: modules.o cpulog.o mod_kinds.o
 surface_layer_fluxes.o: modules.o mod_kinds.o land_surface_model_mod.o
@@ -507,5 +507,5 @@
 	cpulog.o interaction_droplets_ptq.o land_surface_model_mod.o \
 	ls_forcing.o mod_kinds.o nudging.o pmc_interface.o production_e.o \
-	prognostic_equations.o progress_bar.o radiation_model.o \
+	prognostic_equations.o progress_bar.o radiation_model_mod.o \
 	spectrum.o user_actions.o surface_layer_fluxes.o
 time_to_string.o: mod_kinds.o
@@ -532,6 +532,6 @@
 user_init_grid.o: modules.o mod_kinds.o user_module.o
 user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model_mod.o
-user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model.o
-user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model.o
+user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model_mod.o
+user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model_mod.o
 user_last_actions.o: modules.o mod_kinds.o user_module.o
 user_lpm_advec.o: modules.o mod_kinds.o user_module.o
@@ -545,5 +545,5 @@
 wall_fluxes.o: modules.o mod_kinds.o
 write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
-                   radiation_model.o random_function.o\
+                   radiation_model_mod.o random_function.o\
                    random_generator_parallel.o
-write_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o 
+write_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model_mod.o 
